Bug 728468 - AttributeError: 'Script' object has no attribute 'run'
Summary: AttributeError: 'Script' object has no attribute 'run'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:49c916fcb9e935a5b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 09:03 UTC by He Rui
Modified: 2011-12-22 19:23 UTC (History)
5 users (show)

Fixed In Version: anaconda-16.15-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-22 19:23:16 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (347.14 KB, text/plain)
2011-08-05 09:03 UTC, He Rui
no flags Details
tmp_with_updates.tar.gz (165.31 KB, application/x-tar)
2011-08-08 05:36 UTC, He Rui
no flags Details
err_screen_with updates.png (10.62 KB, image/png)
2011-08-08 05:37 UTC, He Rui
no flags Details

Description He Rui 2011-08-05 09:03:13 UTC
The following was filed automatically by anaconda:
anaconda 16.13 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1353, in <lambda>
    map (lambda s: s.run(anaconda.rootPath, flags.serial, anaconda.intf), postScripts)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1353, in runPostScripts
    map (lambda s: s.run(anaconda.rootPath, flags.serial, anaconda.intf), postScripts)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 338, in dispatch
    self.dir = self.steps[self.step].target(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 235, in go_forward
    self.dispatch()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1198, in nextClicked
    self.anaconda.dispatch.go_forward()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1218, in handleRenderCallback
    self.currentWindow.renderCallback()
AttributeError: 'Script' object has no attribute 'run'

Comment 1 He Rui 2011-08-05 09:03:21 UTC
Created attachment 516853 [details]
Attached traceback automatically from anaconda.

Comment 2 He Rui 2011-08-05 09:11:07 UTC
It happened every time I ran kickstart install for pre-alpha image(anaconda16.13) and F16-alpha-tc1(anaconda 16.14). The ks.cfg is:

install
graphical
cdrom
lang en_US.UTF-8
keyboard us
authconfig --enableshadow --enablemd5
timezone America/New_York
--netmask=255.255.255.0 -\
rootpw ``````
firewall --disabled
selinux --disabled
bootloader --location=mbr --driveorder=sda --append="rhgb quiet"
clearpart --all --drives=sda #F16 official
part biosboot --fstype biosboot --size 1
part /boot --fstype ext4 --size 500
part /     --fstype ext4 --size 5000
part swap --fstype swap --size 500
reboot
%packages 
@core
@online-docs
%end
%post
rpm --import /usr/share/rhn/RPM-GPG-KEY-fedora
%end

Comment 3 Chris Lumens 2011-08-05 14:20:07 UTC
Bah, that was dumb of me.  Can you try updates=http://clumens.fedorapeople.org/728468.img ?  Thanks.

Comment 4 He Rui 2011-08-08 05:35:42 UTC
(In reply to comment #3)
> Bah, that was dumb of me.  Can you try
> updates=http://clumens.fedorapeople.org/728468.img ?  Thanks.

No, a traceback error occurred before anaconda loaded. See the screen and logs attached.

Comment 5 He Rui 2011-08-08 05:36:29 UTC
Created attachment 517097 [details]
tmp_with_updates.tar.gz

Comment 6 He Rui 2011-08-08 05:37:13 UTC
Created attachment 517098 [details]
err_screen_with updates.png

Comment 7 Chris Lumens 2011-08-08 14:13:14 UTC
Ah, had to fix an import too.  Can you try one more time?

Comment 8 He Rui 2011-08-09 03:07:51 UTC
(In reply to comment #7)
> Ah, had to fix an import too.  Can you try one more time?

Cool, fix it. Thanks!


Note You need to log in before you can comment on or make changes to this bug.